TEMPLATE	= app
CONFIG          = warn_on release console
INCLUDEPATH     += . generators generators/unix generators/win32 generators/mac ../include ../include/private ../src/tools
OBJECTS_DIR     = .obj
DESTDIR         = ../bin
TARGET          = qmake

DEFINES         *= QT_NO_TEXTCODEC QT_LITE_COMPONENT QT_NODLL QT_NO_STL
DEFINES         -= UNICODE
HEADERS         = \
		  generators/mac/metrowerks_xml.h \
		  generators/mac/pbuilder_pbx.h \
		  generators/makefile.h \
		  generators/projectgenerator.h \
		  generators/unix/unixmake.h \
		  generators/win32/borland_bmake.h \
		  generators/win32/msvc_dsp.h \
		  generators/win32/msvc_nmake.h \
		  generators/win32/winmakefile.h \
		  option.h \
		  project.h

SOURCES         = \
                  ../src/tools/qtextstream.cpp \
                  ../src/tools/qiodevice.cpp \
                  ../src/tools/qglobal.cpp \
                  ../src/tools/qgdict.cpp \
                  ../src/tools/qcstring.cpp \
                  ../src/tools/qstring.cpp \
                  ../src/tools/qdatastream.cpp \
                  ../src/tools/qgarray.cpp \
                  ../src/tools/qbuffer.cpp \
                  ../src/tools/qglist.cpp \
                  ../src/tools/qptrcollection.cpp \
                  ../src/tools/qfile.cpp \
                  ../src/codecs/qtextcodec.cpp \
                  ../src/tools/qregexp.cpp \
                  ../src/tools/qgvector.cpp \
                  ../src/tools/qgcache.cpp \
                  ../src/tools/qbitarray.cpp \
                  ../src/tools/qdir.cpp \
                  ../src/tools/qfileinfo.cpp \
                  ../src/tools/qdatetime.cpp \
                  ../src/tools/qstringlist.cpp \
                  ../src/tools/qmap.cpp \
		  generators/mac/metrowerks_xml.cpp \
		  generators/mac/pbuilder_pbx.cpp \
		  generators/makefile.cpp \
		  generators/projectgenerator.cpp \
		  generators/unix/unixmake.cpp \
		  generators/unix/unixmake2.cpp \
		  generators/win32/borland_bmake.cpp \
		  generators/win32/msvc_dsp.cpp \
		  generators/win32/msvc_nmake.cpp \
		  generators/win32/winmakefile.cpp \
		  main.cpp \
		  option.cpp \
		  project.cpp

win32:INCLUDEPATH += ../mkspecs/win32-msvc

win32:SOURCES  += \
                  ../src/tools/qfile_win.cpp \
                  ../src/tools/qdir_win.cpp \
                  ../src/tools/qfileinfo_win.cpp

unix:INCLUDEPATH += ../mkspecs/linux-g++
unix:SOURCES  += \
                  ../src/tools/qfile_unix.cpp \
                  ../src/tools/qdir_unix.cpp \
                  ../src/tools/qfileinfo_unix.cpp


INTERFACES	=


